Bug 150542 - [new port]: sysutils/createrepo
[new port]: sysutils/createrepo
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Stephen Montgomery-Smith
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-13 21:30 UTC by afb
Modified: 2011-07-19 04:50 UTC (History)
0 users

See Also:


Attachments
file.shar (5.32 KB, text/plain)
2010-09-13 21:30 UTC, afb
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description afb 2010-09-13 21:30:05 UTC
createrepo creates common metadata from .rpm packages, for use with yum.

Fix: Patch attached with submission follows:
Comment 1 pgollucci freebsd_committer 2010-09-13 23:36:30 UTC
State Changed
From-To: open->feedback

Request feedback new ports must be maintained, do you volunteer?; also, 
you need a category and dir other then just python
Comment 2 afb 2010-10-05 19:51:14 UTC
I don't think the category remark is valid,
and I can maintain this port too if needed.
Comment 3 pgollucci freebsd_committer 2010-10-06 08:25:12 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 4 Baptiste Daroussin freebsd_committer 2010-11-24 17:20:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 5 Baptiste Daroussin freebsd_committer 2011-01-12 07:53:54 UTC
Responsible Changed
From-To: bapt->freebsd-ports-bugs

Back to the pool as I am running out of time. For information, 
maintainer expressed the willing to maintain this ports by mail
Comment 6 Stephen Montgomery-Smith freebsd_committer 2011-07-07 04:31:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stephen

I'll take this.
Comment 7 Stephen Montgomery-Smith freebsd_committer 2011-07-13 03:04:17 UTC
State Changed
From-To: open->analyzed

Waiting for mentors' approval to commit.
Comment 8 Stephen Montgomery-Smith freebsd_committer 2011-07-19 04:45:04 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!
Comment 9 dfilter freebsd_committer 2011-07-19 04:46:12 UTC
stephen     2011-07-19 03:45:58 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/createrepo  Makefile distinfo pkg-descr pkg-plist 
  Log:
  - New port sysutils/createrepo.
  
  This utility will generate a common metadata repository from a directory of
  rpm packages.
  
  WWW: http://createrepo.baseurl.org/
  
  PR:             ports/150542
  Submitted by:   afb@rpm5.org
  Approved by:    maho (mentor)
  
  Revision  Changes    Path
  1.1306    +1 -0      ports/sysutils/Makefile
  1.1       +47 -0     ports/sysutils/createrepo/Makefile (new)
  1.1       +2 -0      ports/sysutils/createrepo/distinfo (new)
  1.1       +4 -0      ports/sysutils/createrepo/pkg-descr (new)
  1.1       +20 -0     ports/sysutils/createrepo/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"